<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Vendor extends Model
{
    protected $guarded = [];
    protected $casts = ['joined_at' => 'datetime', 'rating' => 'decimal:1'];

    public function spaces()
    {
        return $this->hasMany(VendorSpace::class);
    }
}
